Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.utility
Class GLSLSkyCube

    java.lang.Object
      de.grogra.imp3d.glsl.utility.GLSLTexture
          de.grogra.imp3d.glsl.utility.GLSLSkyCube

All Implemented Interfaces:
  GLSLOpenGLObject

    public class GLSLSkyCube

extends GLSLTexture

Implements a textureCube to be used as a reference for Sky-Illumination.

Author:
  Konni Hartman

Field Summary

Fields inherited from class de.grogra.imp3d.glsl.utility.GLSLTexture
`height, index, internalFormat, texType, type, width`

Constructor Summary
`GLSLSkyCube()`

Method Summary
`boolean` | `create(javax.media.opengl.GL gl)`
`boolean` | `create(javax.media.opengl.GL gl, int width, int height)`
`void` | `finish(javax.media.opengl.GL gl)`
`Matrix4d` | `getLightToView(int side)`
`Matrix4d` | `getViewToClip()`
`Matrix4d` | `setupAsRTAttachment(javax.media.opengl.GL gl, int direction)`

Methods inherited from class de.grogra.imp3d.glsl.utility.GLSLTexture
`bindTo, cleanup, delete, estimateSizeInByte, getHeight, getIndex, getTexType, getType, getWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLSLSkyCube

    public GLSLSkyCube()

Method Detail

### create

    public boolean create(javax.media.opengl.GL gl)

### create

    public boolean create(javax.media.opengl.GL gl,
                          int width,
                          int height)

### finish

    public void finish(javax.media.opengl.GL gl)

### getLightToView

    public Matrix4d getLightToView(int side)

### getViewToClip

    public Matrix4d getViewToClip()

### setupAsRTAttachment

    public Matrix4d setupAsRTAttachment(javax.media.opengl.GL gl,
                                        int direction)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD